Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 461254 - net-nntp/inn does not respect AR
Summary: net-nntp/inn does not respect AR
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: net-news Herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: tc-directly
  Show dependency tree
 
Reported: 2013-03-10 13:21 UTC by Agostino Sarubbo
Modified: 2013-06-03 11:12 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
inn-2.5.3-r1.patch (inn-2.5.3-r1.patch,494 bytes, patch)
2013-06-02 09:27 UTC, Michael Mair-Keimberger (iamnr3)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2013-03-10 13:21:21 UTC
You receive this bug because this package does not respect my system's AR ( x86_64-pc-linux-gnu-ar - /usr/bin/x86_64-pc-linux-gnu-ar ) and calls directly ar - /usr/bin/ar
The possible solutions to fix this issue are:
1)Fix the buildsystem, if you can
2)inherit toolchain-funcs and use tc-export AR
3)inherit toolchain-funcs and use emake AR="$(tc-getAR)"


ar r libinn.a setproctitle.o strlcat.o strlcpy.o  argparse.o buffer.o cleanfrom.o clientactive.o clientlib.o commands.o concat.o conffile.o confparse.o daemonize.o date.o 
dbz.o defdist.o dispatch.o fdflags.o fdlimit.o getfqdn.o getmodaddr.o hash.o hashtab.o headers.o hex.o innconf.o inndcomm.o list.o localopen.o lockfile.o makedir.o md5.o 
messageid.o messages.o mmap.o network.o newsuser.o nntp.o numbers.o qio.o radix32.o readin.o remopen.o reservedfd.o resource.o sendarticle.o sendpass.o sequence.o timer.o 
tst.o uwildmat.o vector.o wire.o xfopena.o xmalloc.o xsignal.o xwrite.o
Comment 1 Michael Mair-Keimberger (iamnr3) 2013-06-02 09:27:53 UTC
Created attachment 349894 [details, diff]
inn-2.5.3-r1.patch

This patch for the latest ebuild fixes ar direct calling. please review.
Comment 2 Michael Palimaka (kensington) gentoo-dev 2013-06-03 11:12:24 UTC
Thanks, fixed in CVS.

+  03 Jun 2013; Michael Palimaka <kensington@gentoo.org>
+  +files/inn-2.5.3-ar.patch, +files/innd-r1, +inn-2.5.3-r2.ebuild:
+  Add missing PYTHON_REQUIRED_USE. Add elog to recommend using emerge --config.
+  Respect AR wrt bug #461254. Use correct run dir and fix init script to avoid
+  reporting its status as 'crashed', wrt bug #468010.